Package org.apache.catalina.valves

## Interface AbstractAccessLogValve.AccessLogElement

All Known Implementing Classes:
  `AbstractAccessLogValve.ByteSentElement`, `AbstractAccessLogValve.ConnectionStatusElement`, `AbstractAccessLogValve.CookieElement`, `AbstractAccessLogValve.DateAndTimeElement`, `AbstractAccessLogValve.ElapsedTimeElement`, `AbstractAccessLogValve.FirstByteTimeElement`, `AbstractAccessLogValve.HeaderElement`, `AbstractAccessLogValve.HostElement`, `AbstractAccessLogValve.HttpStatusCodeElement`, `AbstractAccessLogValve.LocalAddrElement`, `AbstractAccessLogValve.LocalServerNameElement`, `AbstractAccessLogValve.LogicalUserNameElement`, `AbstractAccessLogValve.MethodElement`, `AbstractAccessLogValve.PortElement`, `AbstractAccessLogValve.ProtocolElement`, `AbstractAccessLogValve.QueryElement`, `AbstractAccessLogValve.RemoteAddrElement`, `AbstractAccessLogValve.RequestAttributeElement`, `AbstractAccessLogValve.RequestElement`, `AbstractAccessLogValve.RequestURIElement`, `AbstractAccessLogValve.ResponseHeaderElement`, `AbstractAccessLogValve.SessionAttributeElement`, `AbstractAccessLogValve.SessionIdElement`, `AbstractAccessLogValve.StringElement`, `AbstractAccessLogValve.ThreadNameElement`, `AbstractAccessLogValve.UserElement`, `ExtendedAccessLogValve.CookieElement`, `ExtendedAccessLogValve.DateElement`, `ExtendedAccessLogValve.RequestAttributeElement`, `ExtendedAccessLogValve.RequestHeaderElement`, `ExtendedAccessLogValve.RequestParameterElement`, `ExtendedAccessLogValve.ResponseAllHeaderElement`, `ExtendedAccessLogValve.ResponseHeaderElement`, `ExtendedAccessLogValve.ServletContextElement`, `ExtendedAccessLogValve.SessionAttributeElement`, `ExtendedAccessLogValve.TimeElement`, `JsonAccessLogValve.CharElement`

Enclosing class:
  AbstractAccessLogValve

    protected static interface AbstractAccessLogValve.AccessLogElement

AccessLogElement writes the partial message into the buffer.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addElement​(java.io.CharArrayWriter buf, java.util.Date date, Request request, Response response, long time)`

### Method Detail

#### addElement

    void addElement​(java.io.CharArrayWriter buf,
                    java.util.Date date,
                    Request request,
                    Response response,
                    long time)